
interface Params {
    credential: {
        host: string;
        token: string;
        userkey: string;
    };
    setting?: {
        position?: any;
        width?: number;
        height?: number;
        header?: {
            title?: string;
            color?: string;
        };
        dom?: {
            embed?: HTMLElement;
            fit?: boolean;
        };
    };
}
interface Callback {
    [key: string]: (e: any) => {};
}
export default class IONWidget {
    protected pos1: number;
    protected pos2: number;
    protected pos3: number;
    protected pos4: number;
    private host;
    private apikey;
    private userkey;
    private position;
    private width;
    private height;
    private widgetTitle;
    private colorHeader;
    private settingDom;
    constructor(param: Params);
    callback: Callback;
    init(): Promise<void>;
    private receiveMessage;
    private headerUpdate;
    generateFrame(token?: string, softphone?: string): void;
    private collapseWidget;
    private dragMouseDown;
    private elementDrag;
    private closeDragElement;
    setNumber($number: any, $alias?: any): void;
    setDial($number: any, $alias?: any): void;
    setHangup(): void;
    setQueue($paused: boolean, $reason?: string | null): void;
    on(evt: string, cb: any): void;
}
export {};
